package com.hicorenational.antifraud.views;

import android.content.Context;
import android.os.Bundle;
import android.widget.TextView;

import androidx.annotation.Nullable;
import androidx.appcompat.app.AppCompatActivity;

import com.hicorenational.antifraud.R;

import com.hicorenational.antifraud.utils.SPUtils;

/**
 * @author liuyuqi.gov@msn.cn
 * @date 4/21/2021
 */
public class SettingActivity extends AppCompatActivity {
    Context mContext;

    @Override
    protected void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_setting);
        mContext = this;

        TextView tvName = findViewById(R.id.name);
        TextView id = findViewById(R.id.id);
        TextView region = findViewById(R.id.region);
        TextView address = findViewById(R.id.address);
        TextView work = findViewById(R.id.work);

        tvName.setText(SPUtils.getInstance(mContext).getString("name", "周** "));
        tvName.setText(SPUtils.getInstance(mContext).getString("id", "4****************8"));
        tvName.setText(SPUtils.getInstance(mContext).getString("region", "广东省.深圳市.龙岗区"));
        tvName.setText(SPUtils.getInstance(mContext).getString("address", "龙岗中心城福宁路113号"));
        tvName.setText(SPUtils.getInstance(mContext).getString("work", "电子设备制造"));
    }
}